import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { CreateCalendarUseCase } from './CreateCalendarUseCase';

class CreateCalendarController {
    async handle(request: Request, response: Response) {
        const {title, information, date} = request.body;
        const createCalendarUseCase = container.resolve(CreateCalendarUseCase)

        const calendar = await createCalendarUseCase.execute({
            title,
            information,
            date
        })

        return response.status(200).json(calendar)
    }
    
}

export {CreateCalendarController}