import { inject, injectable } from "tsyringe";
import { ICursersRepository } from "@modules/curses/repositories/ICursersRepository";
import { AppError } from "@shared/error/AppError";

@injectable()
class DeleteCurserUseCase {
    constructor(
        @inject('CursersRepository')
        private cursersRepository: ICursersRepository
    ) {}

    async execute(id: string) {
        const curserAlreadyExists = await this.cursersRepository.findById(id)
        if(!curserAlreadyExists) {
            throw new AppError('Curser doesnt Exists', 400)
        }

        await this.cursersRepository.deleteCurser(id)
        
        return true
    }
}

export { DeleteCurserUseCase }