import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { FindManyCurserUseCase } from './FindManyCurserUseCase';


class FindManyCurserController {
    async handle(request: Request, response: Response) {
        const findManyCurserUseCase = container.resolve(FindManyCurserUseCase)

        const cursers = await findManyCurserUseCase.execute()

        return response.status(200).json(cursers)
    }
}

export {FindManyCurserController}