import { IInstitutionsRepository } from "@modules/institutions/repositories/IInstitutionsRepository";
import { injectable, inject } from "tsyringe";

@injectable()
class FindManyInstitutionUseCase {
    constructor(
        @inject('InstitutionsRepository')
        private institutionsRepository: IInstitutionsRepository
    ) { }

    async execute() {
        const institutions = await this.institutionsRepository.findAllInstitutions()
        return institutions
    }
}

export { FindManyInstitutionUseCase }