import { ICreateUsersDTO } from "../dtos/ICreateUserDTO";
import { User } from '@prisma/client';
import { IUpdateUsersDTO } from "../dtos/IUpdateUserDTO";

interface IUsersRepository {
    create({ name, email, password, cpf, curriculo }: ICreateUsersDTO): Promise<User>
    findByEmail(email: string): Promise<User>
    findAllUser(): Promise<User[]>
    deleteUser(id: string): Promise<Boolean>
    findById(id: string): Promise<User>
    findByCPF(cpf: string): Promise<User>
    update({id,name,email,password,cpf,curriculo}: IUpdateUsersDTO): Promise<User>
}

export { IUsersRepository };