import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { FindManyUsersUseCase } from './FindManyUsersUseCase';
class FindManyUsersController {
    async handle(request: Request, response: Response) {
        const findManyUsersUseCase = container.resolve(FindManyUsersUseCase)

        const users = await findManyUsersUseCase.execute()

        return response.status(200).json(users)

    }
}

export {FindManyUsersController}