import { CreateCalendarController } from '@modules/calendar/useCases/createCalendar/CreateCalendarController';
import { deleteCalendarController } from '@modules/calendar/useCases/deleteCalendar/deleteCalendarController';
import { FindManyCalendarController } from '@modules/calendar/useCases/findCalendars/findManyCalendarController';
import { FindOneCalendarController } from '@modules/calendar/useCases/findOneCalendar/FindOneCalendarController';
import { Router } from 'express';

const calendarRoutes = Router();

const createCalendarController = new CreateCalendarController()
const findOneCalendarController = new FindOneCalendarController();
const findManyCalendarController = new FindManyCalendarController();
const DeleteCalendarController = new deleteCalendarController()

calendarRoutes.post('/', createCalendarController.handle)
calendarRoutes.get('/all', findManyCalendarController.handle)
calendarRoutes.get('/:id', findOneCalendarController.handle)
calendarRoutes.delete('/:id', DeleteCalendarController.handle)

export { calendarRoutes };