import { CreateInstitutionController } from '@modules/institutions/useCases/createInstitution/CreateInstitutionController';
import { DeleteInstitutionController } from '@modules/institutions/useCases/deleteInstitution/DeleteInstitutionController';
import { FindManyInstitutionController } from '@modules/institutions/useCases/findManyInstitution/FindManyInstitutionController';
import { FindOneInstitutionController } from '@modules/institutions/useCases/findOneInstitution/findOneInstitutionController';
import { Router } from 'express';

const institutionRouter = Router();

const createInstitutionController = new CreateInstitutionController();
const findOneInstitutionController = new FindOneInstitutionController();
const findManyInstitutionController = new FindManyInstitutionController();
const deleteInstitutionController = new DeleteInstitutionController();

institutionRouter.post('/', createInstitutionController.handle)
institutionRouter.get('/all', findManyInstitutionController.handle)
institutionRouter.get('/:id', findOneInstitutionController.handle)
institutionRouter.delete('/:id', deleteInstitutionController.handle)


export {institutionRouter}