import { CreateMessageController } from '@modules/messages/useCases/createMessage/CreateMessageController';
import { DeleteMessageController } from '@modules/messages/useCases/deleteMessage/DeleteMessageController';
import { ListByForumIdController } from '@modules/messages/useCases/listByForumId/ListByForumIdController';
import { Router } from 'express';

const messagesRouter = Router();

const createMessageController = new CreateMessageController();
const deleteMessageController = new DeleteMessageController();
const listByForumIdController = new ListByForumIdController();

messagesRouter.post('/', createMessageController.handle)
messagesRouter.delete('/:id', deleteMessageController.handle)
messagesRouter.get('/:forum_id', listByForumIdController.handle)


export {messagesRouter}